Subject: DLSw Capabilities Open Issues

From: Wayne Clark <[email-masked]>
Date: Tue, 31 May 94 00:02:55 PDT

To Capabilities RIGlet -

    Attached below is a list of issues for the Capabilities RIGlet as I
    see it.  We do have a few open issues but I've also included a
    summary of the issues on which we have reached consensus ...
    primarily at AIW #4 in Anaheim.  Hopefully, the closed issues will
    not come as a surprise to anyone.

    Following the summary, there is a detailed explanation of each of
    the open issues.  If members would like a full explanation of all
    of the issues (including the closed ones), I'll be happy to add
    that.

    Last but not least, embedded in the detailed explanation, I have
    specified what assumptions I made for the updated Capabilities
    Format Proposal.  This proposal will follow in a subsequent posting
    to aiw-dlsw-capabilities (probably later on Tuesday).

    Please review this list of issues on Capabilities and respond with
    comments and/or new issues that need to be addressed.

Thanks,
-----------
Wayne Clark
cisco Systems, Inc.
[email-masked]
415/688-4627

*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*

			Capabilities Exchange

			     Issue List

			     31 May 94

    Summary of Issues:
    -----------------

    No.	Issue							Status
    ---	-----							------
    01	Delete CV: Flow Control Support CV			closed - aiw4

    02	(MAC Addr,MAC Addr Mask) combined into single CV	closed - aiw4
    03	(MAC Addr,MAC Addr Mask) always and no MAC Addr List	open

    04	New CV: NetBIOS Name List CV as an optional CV		closed - aiw4
    05	Syntax and semantics of NetBIOS names (padding, '*')	open

    06	New CV: DLSw Version CV as a required CV		closed - aiw4
    07	Syntax and semantics of DLSw Version CV			open

    08	Version String CV is optional, not required		closed - aiw4
    09	Delete CV: Flow Control Support CV 			closed - aiw4
    10	Initial Pacing Window CV is required, not optional	closed - aiw4

    11	New CV: TCP Sessions CV as an optional CV		closed - aiw4
    12	Default value for TCP Sessions CV			open

    13	New CV: Exclusivity CV (for MAC Addr and NetBIOS)	closed - aiw4
    14	Syntax and semantics of Exclusivity CV			open

    15	SAP List CV requirements				open

    16	Is OUI acceptable for vendor id assigment?		open

    17	New CV: Vendor-unique CVs as optional CVs		closed - aiw4
    18	Range of Ids for vendor-specific CVs			open

    19	If CapEx is ok, +RSP(CapEx) is required			closed - aiw4
    20	If CapEx is not ok, -RSP(CapEx) is required		closed - aiw4
    21	Receiver of -RSP(CapEx) drops TCP connection		closed - aiw4

    22	Lack of CapEx indicates backrev DLSw			closed - aiw4
    23	Backrev DLSw via non-CapEx SSP message or timer pop	closed - aiw4
    24	Wait time to declare backrev DLSw is impl. defined	closed - aiw4

    25	Receipt of CapEx at run-time permitted			closed - aiw4
    26	Run-time CapEx contains only MAC,SAP and NetBIOS	closed - aiw4
    27	Run-time CapEx is a replacement operation		closed - aiw4

    28	CapEx uses short SSP message header			closed - aiw4
    29	CapEx's SSP message header has x'FF' in unused fields	closed - aiw4

    30	SSP message type for all GDS Variable exchanges		open

    31	The 'L' of 'LT' CVs includes itself			closed - aiw4

    32	Some CVs can be repeated				closed - aiw4
    33	Which CVs can be repeated				open

    Description of Open Issues:
    --------------------------

    Issue 03	(MAC Addr,MAC Addr Mask) always and no MAC Addr List

		Peter Gayek (IBM) pointed out that the specification
		of MAC Address was inconsistent with the specification of 
		NetBIOS names (Ref: "mac address lists" dated 04/20/94).
		Shannon Nix (Metaplex) and Ed Stern (Proteon) agreed.

		Wayne Clark's comments: It is possible to represent an
		individual MAC address with a value and mask even
		though this technique will occupy more space in the SSP
		message.

		Updated format: this proposal has been incorporated.

    Issue 05	Syntax and semantics of NetBIOS names (padding, '*')

		According to the minutes from AIW #4, Gene Cox (IBM)
		was to propose the syntax and semantics of representing
		NetBIOS names.

		Updated format: chair has offered a proposal for
		NetBIOS naming.  Please review it.

    Issue 07	Syntax and semantics of DLSw Version CV

		We decided at AIW #4 that we needed a revision number for
		DLSw but didn't discuss what it would look like.

		Updated format: chair has offered a proposal for DLSw
		Version.  Please review it.

    Issue 12	Default value for TCP Sessions CV

		RFC1434-compliant implementations use 2 TCP sessions:
		one for traffic in each direction.  Some members
		expressed the desire to use a single TCP session while
		others wanted to bring up more than 2.

		Updated format: chair has offered a proposal for 1, 2
		or n TCP sessions between switches.  Please review it.

    Issue 14	Syntax and semantics of Exclusivity CV

		At AIW #4, several folks from IBM suggested an
		"exclusivity" indicator for MAC addresses and NetBIOS
		names.  It was discussed but no details were nailed
		down.

		Updated format: chair has offered a proposal for the
		meaning of "exclisive" but I'm not sure if I captured
		everything.  Please review it.

    Issue 15	SAP List CV requirements

		Not sure about this one.

		Updated format: no proposal.  Can someone lend a hand here?

    Issue 16	Is OUI acceptable for vendor id assigment?

		We have always assumed that vendors who were interested
		in implementing DLSw would already have an OUI assigned
		by the IEEE.  The proposal from Peter Gayek et.al.
		(IBM) Ref: "Comments on AIW minutes" dated 05/13/94)
		has been to use the vendor part of the OID tree for
		SNMP replace both the OUI in the Vendor Id CV and the
		entire Version String CV.

		Wayne Clark's comments: I think we need more
		explanation before we can decide on this.  How do we
		guarantee/administer uniqueness across all vendors with
		the SNMP scheme?

		Updated format: I've left the Vendor Id CV alone.  It
		stil contains OUI.

    Issue 18	Range of Ids for vendor-specific CVs

		Peter Gayek (IBM) has suggested the following CV id
		breakdown:
		    X'80' thru X'CF'	DLSw standard
		    X'D0' thru X'FC'	vendor-specific

		Updated format: this proposal has been incorporated.

    Issue 30	SSP message type for all GDS Variable exchanges

		Peter (aka Mr. Busy) Gayek (IBM) has suggested reserving
		a single SSP message type to contain GDS variable data.
		Today's scheme uses an SSP message type of "Capabilities
		Exchange" to identify CapEx alone. This maps into the
		GDS Ids:
			F000	request
			F001	positive response
			F002	negative response

		Wayne Clark's comments: I believe the code
		implementation of this would be simpler and more
		efficient if the SSP message type uniquely identified
		the first-level of processing.  GDS id would be defered
		to second-level processing.

		Updated format: this doesn't apply here ... SSP message
		number is outside of the scope of the format proposal.
		This is a DLSw RIG-wide decision.

    Issue 33	Which CVs can be repeated

		We realized that some CVs needed to be repeated but didn't
		identify which ones.

		Updated format: the following CVs can be repeated:
			MAC Address List CV, X'89'
			NetBIOS Name List CV, X'8A'
*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*